module Main where

import           Criterion.Main
import           Num.ContinuedFraction

main :: IO ()
main =
    defaultMain [ bgroup "under"
                      [ bench "pi" $ nf (approximate (pi :: Double)) (100 :: Integer)
                      , bench "sqrt 3" $ nf (approximate (sqrt (3 :: Double) :: Double)) (1000000 :: Integer) ]
                ]
